summaryrefslogtreecommitdiff
path: root/plugins/git-auto-fetch/git-auto-fetch.plugin.zsh
diff options
context:
space:
mode:
authorslavaGanzin <slava.ganzin@gmail.com>2016-11-17 15:51:40 +0200
committerslavaGanzin <slava.ganzin@gmail.com>2016-11-17 15:51:40 +0200
commita90527b46d67e70f92258849b265b6bfd5e910e0 (patch)
tree105dc81b0cc1669e99d5ebfe4999ec21e187ea56 /plugins/git-auto-fetch/git-auto-fetch.plugin.zsh
parent41e65c0872fc29a604aea007aeba011334a6ac4c (diff)
downloadzsh-a90527b46d67e70f92258849b265b6bfd5e910e0.tar.gz
zsh-a90527b46d67e70f92258849b265b6bfd5e910e0.tar.bz2
zsh-a90527b46d67e70f92258849b265b6bfd5e910e0.zip
fix FETCH_LOG bug
Diffstat (limited to 'plugins/git-auto-fetch/git-auto-fetch.plugin.zsh')
-rw-r--r--plugins/git-auto-fetch/git-auto-fetch.plugin.zsh2
1 files changed, 1 insertions, 1 deletions
diff --git a/plugins/git-auto-fetch/git-auto-fetch.plugin.zsh b/plugins/git-auto-fetch/git-auto-fetch.plugin.zsh
index 7dbd63fe1..03fa911e7 100644
--- a/plugins/git-auto-fetch/git-auto-fetch.plugin.zsh
+++ b/plugins/git-auto-fetch/git-auto-fetch.plugin.zsh
@@ -4,7 +4,7 @@ function git-fetch-all {
(`git rev-parse --is-inside-work-tree 2>/dev/null` &&
dir=`git rev-parse --git-dir` &&
[[ ! -f $dir/NO_AUTO_FETCH ]] &&
- (( `date +%s` - `date -r $dir/FETCH_LOG +%s` > $GIT_AUTO_FETCH_INTERVAL )) &&
+ (( `date +%s` - `date -r $dir/FETCH_LOG +%s 2>/dev/null || echo 0` > $GIT_AUTO_FETCH_INTERVAL )) &&
git fetch --all &>! $dir/FETCH_LOG &)
}